Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## estella.lib
Class Lista

    java.lang.Object
      estella.lib.Lista

Direct Known Subclasses:
  ArquivoLista, ConexaoLista, DescritorLista, ServentLista

    public class Lista

extends java.lang.Object

Gerencia uma lista de objetos

Since:
  02/12/2005

Field Summary
`protected Constantes` | `CON`
`protected java.util.List` | `LISTA`
`protected Log` | `LOG`

Constructor Summary
`Lista()`
`Lista(java.util.List LISTA)`

Method Summary
`boolean` | `adiciona(java.lang.Object objeto)` Adiciona um objeto a lista
`int` | `existe(java.lang.Object objeto)` Procura o objeto na lista
`boolean` | `limpa()` Remove todos os objetos da lista
`boolean` | `remove(java.lang.Object objeto)` Remove um objeto da lista
`java.lang.Object` | `retorna(int index)` Retorna o objeto especificado pelo index
`int` | `tamanho()` Tamanho da lista

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LISTA

    protected java.util.List LISTA

### LOG

    protected Log LOG

### CON

    protected Constantes CON

Constructor Detail

### Lista

    public Lista()

### Lista

    public Lista(java.util.List LISTA)

Method Detail

### adiciona

    public boolean adiciona(java.lang.Object objeto)

  Adiciona um objeto a lista

  Parameters:
    `objeto` -
  Returns:
    true ou false

### remove

    public boolean remove(java.lang.Object objeto)

  Remove um objeto da lista

  Parameters:
    `objeto` -
  Returns:
    true ou false

### existe

    public int existe(java.lang.Object objeto)

  Procura o objeto na lista

  Parameters:
    `objeto` -
  Returns:
    index ou -1 (index = inteiro com a localizacao do objeto)

### retorna

    public java.lang.Object retorna(int index)

  Retorna o objeto especificado pelo index

  Parameters:
    `index` -
  Returns:
    objeto

### tamanho

    public int tamanho()

  Tamanho da lista

  Returns:
    inteiro

### limpa

    public boolean limpa()

  Remove todos os objetos da lista

  Returns:
    true ou false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD